Summary: A parser and tools for SGML plus DSSSL.
Name: openjade
Version: 1.3
Release: 7
Prereq: sgml-common
Source: http://download.sourceforge.net/openjade/openjade-%{version}.tar.gz
Patch0: openjade-1.3-decl.patch
Patch1: openjade-1.3-strdup.patch
# compiler bug. remove later.
Patch2: openjade-foo.patch
Copyright: Copyright 1997 James Clark
Group: Applications/Text
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
Prefix: /usr
Obsoletes: jade
Provides: jade

%description
Jade (James' DSSSL Engine) is an implementation of the DSSSL style
language.

%prep
%setup -q
%patch0 -p1 -b .decl
%patch1 -p1 -b .strdup
%patch2 -p1 -b .foo

%build

cp config/configure.in .
%ifarch ia64
export CXXFLAGS="-O0"
%endif
%ifarch alpha
export CXXFLAGS="-O0"
%endif
%configure --prefix=%{prefix} --enable-static \
 --enable-default-catalog=%{prefix}/lib/sgml/CATALOG \
 --datadir=%{prefix}/lib/sgml
NRPROC=`egrep -c "^cpu[0-9]+" /proc/stat || :`
[ "$NRPROC" = "0" ] && NRPROC=1
make -j$NRPROC

%install
# NOTE: in installing I am also copying a bunch of .h files into
# $(prefix)/include/sp/{generic,include,lib}.  This is so that the
# library API can be used.  It's an ugly kludge, and the best way
# would be for James Clark to tell us what the appropriate list of
# files to be included is.

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
mkdir -p \
 $RPM_BUILD_ROOT/%{prefix}/{bin,doc,lib/sgml,include/sp/{generic,include,lib}}

%makeinstall datadir=$RPM_BUILD_ROOT/%{prefix}/lib/sgml

# oMy, othis ois osilly.
ln -s openjade $RPM_BUILD_ROOT/%{prefix}/bin/jade
for file in nsgmls sgmlnorm spam spent sx ; do
   ln -s o$file $RPM_BUILD_ROOT/%{prefix}/bin/$file
done

mv $RPM_BUILD_ROOT/%{prefix}/bin/sx $RPM_BUILD_ROOT/%{prefix}/bin/sgml2xml
install generic/*.h $RPM_BUILD_ROOT/%{prefix}/include/sp/generic/
install include/*.h $RPM_BUILD_ROOT/%{prefix}/include/sp/include/
install lib/*.h $RPM_BUILD_ROOT/%{prefix}/include/sp/lib/
# install jade/jade $RPM_BUILD_ROOT/%{prefix}/bin/jade 
strip $RPM_BUILD_ROOT/%{prefix}/bin/jade 
strip $RPM_BUILD_ROOT/%{prefix}/bin/nsgmls   
strip $RPM_BUILD_ROOT/%{prefix}/bin/spam     
strip $RPM_BUILD_ROOT/%{prefix}/bin/sgmlnorm 
strip $RPM_BUILD_ROOT/%{prefix}/bin/spent    
cp dsssl/catalog $RPM_BUILD_ROOT/%{prefix}/lib/sgml/dsssl.cat
cp dsssl/dsssl.dtd dsssl/style-sheet.dtd dsssl/fot.dtd \
  $RPM_BUILD_ROOT/%{prefix}/lib/sgml/

find $RPM_BUILD_ROOT -type f -exec strip --strip-unneeded {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
# since old-postun is run *after* new-post, we must always cycle.
V=%{version}-%{release}
%{prefix}/bin/install-catalog --install dsssl --version $V >/dev/null

%postun
# since old-postun is run *after* new-post, we must always cycle.
V=%{version}-%{release}
%{prefix}/bin/install-catalog --remove dsssl --version $V >/dev/null

%files
%defattr(-,root,root)
%doc doc/ jadedoc/ dsssl/ pubtext/ unicode/ README COPYING VERSION
%{prefix}/bin/*
%{prefix}/lib/*
%{prefix}/include/*

%changelog
* Wed Oct 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt against g++-2.96-60, fixes jade on alpha

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- fix several C++ build problems (declarations)
- build against new libstdc++

* Wed May 17 2000 Matt Wilson <msw@redhat.com>
- build with -O0 on alpha
- fix -j testing

* Thu May  5 2000 Bill Nottingham <notting@redhat.com>
- openjade is maintained, and actually builds. Let's try that.

* Thu Mar  9 2000 Bill Nottingham <notting@redhat.com>
- this package is way too huge. strip *everything*

* Mon Feb 21 2000 Matt Wilson <msw@redhat.com>
- build with CXXFLAGS="-O2 -ggdb" to work around segfault on alpha

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- strip binaries

* Wed Jan  5 2000 Bill Nottingham <notting@redhat.com>
- sanitize spec file some

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- fixed conflict problem with sgml-tools

* Sat Jul 17 1999 Tim Powers <timp@redhat.com>
- changed buildroot path to /var/tmp
- rebuilt for 6.1

* Fri Apr 23 1999 Michael K. Johnson <johnsonm@redhat.com>
- quiet scripts

* Thu Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- Made requires for sgml-common into prereq
